---
title: POST /structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge
slug: content-marketing-platform/api/post-structured-contentcontentscontentidversionsversionidpreviewspreviewidacknowledge
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "RrW7_ygNeJzLe2ltK7xF_",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "POST /structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge",
    "description": "<p>Experimental Acknowledge content preview. Content preview can be acknowledged only once. So make sure you are acknowledging only the content previews targeted for your integration. Otherwise it will stall acknowledgment from other integrations.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "content_id",
          "type": "string",
          "description": "Unique identifier of the content"
        },
        {
          "kind": "required",
          "name": "version_id",
          "type": "string",
          "description": "Unique identifier of the content version"
        },
        {
          "kind": "required",
          "name": "preview_id",
          "type": "string",
          "description": "Unique identifier of the content version preview"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "SCContentPreviewAcknowledgeRequest",
          "schema": [
            {
              "name": "acknowledged_by",
              "kind": "required",
              "type": "string",
              "description": "Unique identifier of the user who acknowledged the preview request"
            },
            {
              "name": "content_hash",
              "kind": "required",
              "type": "string",
              "description": "Content hash of the preview request"
            }
          ],
          "modelRef": "#/components/schemas/SCContentPreviewAcknowledgeRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Validation error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "HTTPValidationError",
            "schema": [
              {
                "name": "detail",
                "kind": "optional",
                "type": "array",
                "description": "Details of the error",
                "modelRef": "#/components/schemas/ValidationError",
                "customType": "ValidationError[]",
                "schema": [
                  {
                    "name": "loc",
                    "kind": "required",
                    "type": "array",
                    "description": "Locations where the error occurred",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "msg",
                    "kind": "required",
                    "type": "string",
                    "description": "Message describing the error"
                  },
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string",
                    "description": "Type of the error"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/HTTPValidationError",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "5YWDGi6zC1ipT5TA3p7ia",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"acknowledged_by\": \"\",\n     \"content_hash\": \"\"\n     }'"
        },
        {
          "id": "5bomC4dBHYA2ykKPLf8N7",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"acknowledged_by\": \"\",\n   \"content_hash\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "UqenZNmne3Az8rDTn0a6m",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"acknowledged_by\": \"\",\n   \"content_hash\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "sV73i_agduF0V9fFIEwNM",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge\"\n\npayload = json.dumps({\n   \"acknowledged_by\": \"\",\n   \"content_hash\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "5YWDGi6zC1ipT5TA3p7ia"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful response\n\"\""
        },
        {
          "id": "response-1-422",
          "language": "422",
          "code": "// Validation error\n{\n  \"detail\": [\n    {\n      \"loc\": [\n        \"\"\n      ],\n      \"msg\": \"\",\n      \"type\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}